There is a optional hotfix for WCF 3.5 SP1 which is a prerequisite for SharePoint 2010.  Depending on the operating system, the relevant hotfix can be found below.

Windows Server 2008 (RTM) with Service Pack 2:  KB971831

Windows Server 2008 R2/Windows 7:  KB976462

Instructions:  Install this hotfix after the SharePoint 2010 pre-requisites, but before actually installing SharePoint 2010.

Additional pre-requisites can be install from the DVD, or downloaded manually.